GNU bug report logs - #31386
TensorFlow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ricardo Wurmus <ricardo.wurmus@HIDDEN>; dated Tue, 8 May 2018 14:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 9 May 2018 22:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 09 18:51:49 2018
Received: from localhost ([127.0.0.1]:55707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGXw5-0001uc-20
	for submit <at> debbugs.gnu.org; Wed, 09 May 2018 18:51:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGXw3-0001uP-0m
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:51:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGXvw-0002m2-Jl
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:51:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49287)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGXvw-0002ly-Gf; Wed, 09 May 2018 18:51:40 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38408 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGXvw-000122-2x; Wed, 09 May 2018 18:51:40 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#31386] [PATCH 3/3] gnu: Add tensorflow-core.
References: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
 <20180508145909.25354-3-ricardo.wurmus@HIDDEN>
Date: Thu, 10 May 2018 00:51:38 +0200
In-Reply-To: <20180508145909.25354-3-ricardo.wurmus@HIDDEN> (Ricardo
 Wurmus's message of "Tue, 8 May 2018 16:59:09 +0200")
Message-ID: <87k1scv3wl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31386
Cc: 31386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> * gnu/packages/machine-learning.scm (tensorflow-core): New variable.

[...]

> +       #:make-flags
> +       (list "-f" "tensorflow/contrib/makefile/Makefile"
> +             "CC=3Dgcc")

Perhaps we should add a comment on why not Bazel.

> +    (native-inputs
> +     `(("protobuf" ,protobuf)           ; protoc
> +       ;; "You may use, copy, modify this code for any purpose and witho=
ut
> +       ;; fee. You may distribute this ORIGINAL package."
> +       ("fft2d"

Doesn=E2=80=99t that make fft2d non-free, if we cannot redistribute modifie=
d copies?

> +        ,(origin
> +           (method url-fetch)
> +           (uri "https://mirror.bazel.build/www.kurims.kyoto-u.ac.jp/~oo=
ura/fft.tgz")

Unversioned URL.  :-/

Thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 9 May 2018 22:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 09 18:48:22 2018
Received: from localhost ([127.0.0.1]:55703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGXsk-0001q2-HX
	for submit <at> debbugs.gnu.org; Wed, 09 May 2018 18:48:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGXsi-0001pp-Dd
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:48:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGXsc-0001Rz-BD
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:48:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49234)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGXsc-0001Rv-7m; Wed, 09 May 2018 18:48:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38332 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGXsb-0000jK-Ps; Wed, 09 May 2018 18:48:14 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#31386] [PATCH 2/3] gnu: Add gemmlowp-for-tensorflow.
References: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
 <20180508145909.25354-2-ricardo.wurmus@HIDDEN>
Date: Thu, 10 May 2018 00:48:12 +0200
In-Reply-To: <20180508145909.25354-2-ricardo.wurmus@HIDDEN> (Ricardo
 Wurmus's message of "Tue, 8 May 2018 16:59:08 +0200")
Message-ID: <87po24v42b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31386
Cc: 31386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> * gnu/packages/machine-learning.scm (gemmlowp-for-tensorflow): New variab=
le.

[...]

> +;; TODO: We may need to pass "-msse4.1" as an additional optimization fl=
ag
> +;; when building for x86_64.  This is strongly recommended by the author=
s in
> +;; the README.md.

It=E2=80=99d be nice to produce a patch to have =E2=80=9Cfunction multi-ver=
sioning=E2=80=9D for
the hot parts, as described at
<https://clearlinux.org/documentation/clear-linux/tutorials/fmv>.

> +(define-public gemmlowp-for-tensorflow
> +  (let ((commit "7c7c744640ddc3d0af18fb245b4d23228813a71b"))

Could you comment on how you chose this commit?  Is it because it starts
with =E2=80=9C7c7c=E2=80=9D?  ;-)

Otherwise LGTM!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 9 May 2018 22:44:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 09 18:44:28 2018
Received: from localhost ([127.0.0.1]:55698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGXoy-0001kH-1W
	for submit <at> debbugs.gnu.org; Wed, 09 May 2018 18:44:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGXow-0001k5-9z
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:44:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGXoq-00088g-F6
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:44:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49145)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGXoq-00088b-B5; Wed, 09 May 2018 18:44:20 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38176 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGXop-0000Ne-U2; Wed, 09 May 2018 18:44:20 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#31386] [PATCH 1/3] gnu: eigen: Include unsupported features.
References: <idj603y42r9.fsf@HIDDEN>
 <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
Date: Thu, 10 May 2018 00:44:18 +0200
In-Reply-To: <20180508145909.25354-1-ricardo.wurmus@HIDDEN> (Ricardo
 Wurmus's message of "Tue, 8 May 2018 16:59:07 +0200")
Message-ID: <87vabwv48t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31386
Cc: 31386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> * gnu/packages/algebra.scm (eigen)[source]: Do not build the tests for
> unsupported features, but include the files.

I was reluctant about installing those, but IIRC they go to
$includedir/=E2=80=A6/unsupported, right?  In that case, it=E2=80=99s up to=
 users to
explicitly #include from unsupported/ so it=E2=80=99s probably fine.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 9 May 2018 22:43:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 09 18:43:22 2018
Received: from localhost ([127.0.0.1]:55694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fGXnu-0001iX-NN
	for submit <at> debbugs.gnu.org; Wed, 09 May 2018 18:43:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fGXnt-0001iL-Jx
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:43:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fGXnn-0007kr-Ga
 for 31386 <at> debbugs.gnu.org; Wed, 09 May 2018 18:43:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49132)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fGXnn-0007kj-D0; Wed, 09 May 2018 18:43:15 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38154 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fGXnm-0000Iv-W5; Wed, 09 May 2018 18:43:15 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#31386] TensorFlow
References: <idj603y42r9.fsf@HIDDEN>
Date: Thu, 10 May 2018 00:43:13 +0200
In-Reply-To: <idj603y42r9.fsf@HIDDEN> (Ricardo Wurmus's
 message of "Tue, 8 May 2018 16:54:02 +0200")
Message-ID: <87zi18v4am.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31386
Cc: 31386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> This patch series adds a package for TensorFlow (without GPU support).
> I don=E2=80=99t know how useful this is because it just provides a single=
 180+MB
> statically linked archive (and header files).  It is only the =E2=80=9Cco=
re=E2=80=9D
> part of TensorFlow.

Quite an achievement!  I wonder if people would normally use this .a
library.  Doesn=E2=80=99t TensorFlow have Python bindings as well?

Thank you,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 8 May 2018 19:26:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 15:26:39 2018
Received: from localhost ([127.0.0.1]:54540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG8Fz-0004xT-CF
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 15:26:39 -0400
Received: from m4s11.vlinux.de ([83.151.27.109]:34170 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1fG8Fw-0004xJ-Q6
 for 31386 <at> debbugs.gnu.org; Tue, 08 May 2018 15:26:37 -0400
Received: from alma-ubu (p57B52973.dip0.t-ipconnect.de [87.181.41.115])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 4AA8C40BB3;
 Tue,  8 May 2018 21:26:35 +0200 (CEST)
Date: Tue, 8 May 2018 21:26:27 +0200
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Fis Trivial <ybbs.daans@HIDDEN>
Subject: Re: [bug#31386] TensorFlow
Message-ID: <20180508212627.2e3449e6@alma-ubu>
In-Reply-To: <BLUPR16MB0500F19BA959CD0EAC62637B929A0@HIDDEN>
References: <idj603y42r9.fsf@HIDDEN>
 <BLUPR16MB0500F19BA959CD0EAC62637B929A0@HIDDEN>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/3tz=dH4/o02Lctf_V8diVN8"; protocol="application/pgp-signature"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 31386
Cc: "31386 <at> debbugs.gnu.org" <31386 <at> debbugs.gnu.org>,
 Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--Sig_/3tz=dH4/o02Lctf_V8diVN8
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Tue, 8 May 2018 17:52:10 +0000
Fis Trivial <ybbs.daans@HIDDEN> wrote:


> I thought about packaging bazel and looked into the nix package[1].
> The package definition from nix isn't very long, but requires
> patches. I dropped the matter since I'm not familiar with java.
>=20
> [1]:
> https://github.com/NixOS/nixpkgs/tree/master/pkgs/development/tools/build=
-managers/bazel

NixOS is just using the bundled dependencies. For Guix, we at least
have to check that all this bundled source code is really free
software, not just open source. Better we unbundle them and use the
dependencies from Guix.

Bj=C3=B6rn

--Sig_/3tz=dH4/o02Lctf_V8diVN8
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlrx+eQACgkQvyhstlk+X/1hzQCgliYo1S9sWYfMTyQsdykmWYV1
vVsAn13RL3TrCVq03S7OcbjrGfAqP9lv
=5pou
-----END PGP SIGNATURE-----

--Sig_/3tz=dH4/o02Lctf_V8diVN8--




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 8 May 2018 17:52:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 13:52:21 2018
Received: from localhost ([127.0.0.1]:54478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG6mh-0002pa-PY
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 13:52:21 -0400
Received: from mail-oln040092009065.outbound.protection.outlook.com
 ([40.92.9.65]:20640 helo=NAM04-BN3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ybbs.daans@HIDDEN>) id 1fG6mf-0002pL-N8
 for 31386 <at> debbugs.gnu.org; Tue, 08 May 2018 13:52:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1; h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=wGeNatzwDJkk1Anji9ekQ2z/oQ8T6vglnY36bEo6Axg=;
 b=L4RMOZfuBm/czt8q9OROnOD5Hd8KVrjrv5H452VGNblzqJryMRA3AvGkjSDquCueQ1FA4G+NXXdicTnYlresLbbodmfLdP7WWlnxUr3gUnjtTKPL71bms+Xb4J7psUytmqL+AvoKOyDMSC+My5jn0kV8bExy9lrVSLEbY7e4HU0bemqQtP3x8Iq/IxijRrTXj86QbhaexGuIe6TyKGYSWtGNAcK9a3rx8EkSe0h8qMXDeAfwcAEfVq0MXDP3M8pP+GZqRc2xV10BrTE3hA4zsLWronIFokM7RJjGc1SSzH+b/L7ctIWMsUl8u9uEW1GN4kxeDkyeX7Zt91wjJTnpPg==
Received: from CO1NAM04FT008.eop-NAM04.prod.protection.outlook.com
 (10.152.90.56) by CO1NAM04HT008.eop-NAM04.prod.protection.outlook.com
 (10.152.90.92) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P384) id 15.20.735.16; Tue, 8
 May 2018 17:52:11 +0000
Received: from BLUPR16MB0500.namprd16.prod.outlook.com (10.152.90.54) by
 CO1NAM04FT008.mail.protection.outlook.com (10.152.90.91) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id
 15.20.735.16 via Frontend Transport; Tue, 8 May 2018 17:52:11 +0000
Received: from BLUPR16MB0500.namprd16.prod.outlook.com
 ([fe80::814c:b7a1:1061:7ef7]) by BLUPR16MB0500.namprd16.prod.outlook.com
 ([fe80::814c:b7a1:1061:7ef7%4]) with mapi id 15.20.0735.019; Tue, 8 May 2018
 17:52:10 +0000
From: Fis Trivial <ybbs.daans@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#31386] TensorFlow
Thread-Topic: [bug#31386] TensorFlow
Thread-Index: AQHT5tyT4LxBJComTECkoM1Se4yvTqQmGScA
Date: Tue, 8 May 2018 17:52:10 +0000
Message-ID: <BLUPR16MB0500F19BA959CD0EAC62637B929A0@HIDDEN>
References: <idj603y42r9.fsf@HIDDEN>
In-Reply-To: <idj603y42r9.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: SG2PR02CA0032.apcprd02.prod.outlook.com
 (2603:1096:3:18::20) To BLUPR16MB0500.namprd16.prod.outlook.com
 (2a01:111:e400:c46a::11)
x-incomingtopheadermarker: OriginalChecksum:E4C8128E906869387455B91E6ED776ACBA4C072D6BF91CD1C61A502BD9BC7B01;
 UpperCasedChecksum:58575D45A752CE83EE2326E1B9B36F5A34636E4A6D2A2994EE25FB022BDD6D0F;
 SizeAsReceived:7393; Count:50
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [0SJa3Gvm1DB1Ic+kKR5VdX8hZQaZmndybrfUwKT+EIg=]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; CO1NAM04HT008;
 7:48cyUPWQkH8L0h4lqA0CgqA6tCtb4pqjWAH2sKS/8EZsMvhY4wClpkGFDa2OQLyiglx2pm0KwwRCcDLf+bWjfqZU5Cszkaa6saVtbyoq8q2M1EMaIQGmYJgZaLOT3pRKXK10gUTsgo3srLaHyo+Sh/oKpfTCuRTBHFIMMZaHY1y6MUOKodMsITSvgX+RJHj70lQU3ki5s3JwF+Mm1L66/MUNegu+BA7aATyzsFvv2/QLoJBUrK17+6garQX3BZll
x-incomingheadercount: 50
x-eopattributedmessage: 0
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(7020095)(201702061078)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322404)(1601125420)(1603101448)(1701031045);
 SRVR:CO1NAM04HT008; 
x-ms-traffictypediagnostic: CO1NAM04HT008:
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0; RULEID:(444000031);
 SRVR:CO1NAM04HT008; BCL:0; PCL:0; RULEID:; SRVR:CO1NAM04HT008; 
x-forefront-prvs: 0666E15D35
x-forefront-antispam-report: SFV:NSPM;
 SFS:(7070007)(189003)(199004)(73972006)(6436002)(102836004)(229853002)(20460500001)(386003)(82202002)(6506007)(4326008)(105586002)(2900100001)(87572001)(74316002)(14454004)(106356001)(8936002)(83332001)(26005)(6346003)(99286004)(33656002)(5660300001)(486006)(97736004)(8676002)(76176011)(3660700001)(6916009)(86362001)(6246003)(476003)(3280700002)(5250100002)(966005)(81156014)(68736007)(25786009)(305945005)(55016002)(11346002)(7696005)(9686003)(6306002)(446003)(104016004)(15852004);
 DIR:OUT; SFP:1901; SCL:1; SRVR:CO1NAM04HT008;
 H:BLUPR16MB0500.namprd16.prod.outlook.com; FPR:; SPF:None; PTR:InfoNoRecords;
 MX:1; A:1; LANG:; 
received-spf: None (protection.outlook.com: hotmail.com does not designate
 permitted sender hosts)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=ybbs.daans@HIDDEN; 
x-microsoft-antispam-message-info: MKMTQp3gE2z46amJz5wIXDud71j4RwSsbO/IRrpfY+kJTcqe/ayCnO0Vdnp0WQfaF3Zzu6uLAhlqoP9IBWhXYnVBUCooGPvVJS2xFqwvE3BKpoiKnFIx2BWqDOAIc7rowSna+DcJwxq0YajvrxsHc+icxNj8cyo9iMzZbXczZqrD0h2ABRZyVdG0zInkfPkH
Content-Type: text/plain; charset="utf-8"
Content-ID: <99AB702423DFC949A141E24B1558123F@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Office365-Filtering-Correlation-Id: 3651b85d-8474-4d94-92a0-08d5b50c6bbb
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: dd759f05-a917-4aa0-a2f5-4cc35c50e0c8
X-MS-Exchange-CrossTenant-Network-Message-Id: 3651b85d-8474-4d94-92a0-08d5b50c6bbb
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: dd759f05-a917-4aa0-a2f5-4cc35c50e0c8
X-MS-Exchange-CrossTenant-originalarrivaltime: 08 May 2018 17:52:10.7954 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO1NAM04HT008
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31386
Cc: "31386 <at> debbugs.gnu.org" <31386 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

DQpSaWNhcmRvIFd1cm11cyB3cml0ZXM6DQoNCj4gVGhpcyBwYXRjaCBzZXJpZXMgYWRkcyBhIHBh
Y2thZ2UgZm9yIFRlbnNvckZsb3cgKHdpdGhvdXQgR1BVIHN1cHBvcnQpLg0KPiBJIGRvbuKAmXQg
a25vdyBob3cgdXNlZnVsIHRoaXMgaXMgYmVjYXVzZSBpdCBqdXN0IHByb3ZpZGVzIGEgc2luZ2xl
IDE4MCtNQg0KPiBzdGF0aWNhbGx5IGxpbmtlZCBhcmNoaXZlIChhbmQgaGVhZGVyIGZpbGVzKS4g
IEl0IGlzIG9ubHkgdGhlIOKAnGNvcmXigJ0NCj4gcGFydCBvZiBUZW5zb3JGbG93Lg0KPg0KPiBU
aGUgcHJvYmxlbSBoZXJlIGlzIHRoYXQgdGhlIGJ1aWxkIHN5c3RlbSBpcyBCYXplbCwgd2hpY2gg
Y2Fubm90IGVhc2lseQ0KPiBiZSBidWlsdCBmcm9tIHNvdXJjZS4gIEJhemVsIGJ1bmRsZXMgNjAr
IHRoaXJkLXBhcnR5IEphdmEgcGFja2FnZXMsIHNvbWUNCj4gb2Ygd2hpY2ggYXJlIHZlcnkgY29t
cGxleCBhbmQgYXJlIHZlcnkgZGlmZmljdWx0IHRvIHBhY2thZ2UuICBUZW5zb3JGbG93DQo+IGNv
bWVzIHdpdGggYW4gdW5zdXBwb3J0ZWQgTWFrZWZpbGUgdGhhdCBidWlsZHMgYSBzaW5nbGUgc3Rh
dGljYWxseQ0KPiBsaW5rZWQgbGlicmFyeSBvZiBvbmx5IHRoZSBjb3JlIHBhcnRzLiAgVGhhdOKA
mXMgd2hhdCB0aGlzIHBhY2thZ2UNCj4gcHJvdmlkZXMuDQo+DQo+IE5vdGUgdGhhdCBUZW5zb3JG
bG93IDEuOCBoYXMgYmVlbiByZWxlYXNlZCBhIGZldyBkYXlzIGFnby4gIFRoaXMgcGFja2FnZQ0K
PiBvbmx5IGFkZHMgdmVyc2lvbiAxLjcuDQoNClRoYXQncyBzdGlsbCBhbWF6aW5nLg0KDQpJIHRo
b3VnaHQgYWJvdXQgcGFja2FnaW5nIGJhemVsIGFuZCBsb29rZWQgaW50byB0aGUgbml4IHBhY2th
Z2VbMV0uIFRoZQ0KcGFja2FnZSBkZWZpbml0aW9uIGZyb20gbml4IGlzbid0IHZlcnkgbG9uZywg
YnV0IHJlcXVpcmVzIHBhdGNoZXMuIEkNCmRyb3BwZWQgdGhlIG1hdHRlciBzaW5jZSBJJ20gbm90
IGZhbWlsaWFyIHdpdGggamF2YS4NCg0KWzFdOiBodHRwczovL2dpdGh1Yi5jb20vTml4T1Mvbml4
cGtncy90cmVlL21hc3Rlci9wa2dzL2RldmVsb3BtZW50L3Rvb2xzL2J1aWxkLW1hbmFnZXJzL2Jh
emVsDQo=




Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 8 May 2018 15:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 11:00:05 2018
Received: from localhost ([127.0.0.1]:54403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG45u-0007Hu-Jh
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 11:00:04 -0400
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:48396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG45s-0007Hl-0N
 for 31386 <at> debbugs.gnu.org; Tue, 08 May 2018 10:59:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id 625A31111EE9
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:55 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:references:in-reply-to
 :x-mailer:message-id:date:date:subject:subject:from:from
 :received:received:received:received; s=mdc; t=1525791590; x=
 1527605991; bh=OIvJytUQ1IR2IEnkJG3siOog4UXhAK9pAJ9Nf9OyJ54=; b=b
 PkIhIu25yGR0etESoNhR3n7cnn2EpqtN1xHAzQfjiFxeczaWG4TJMBVc5hULseNv
 noyb5ksbeeKXnhF7+QiIeH8DPIR4o3OrPt59ntD6WXqslo69Hoy/+HCOiUXVXRB+
 ZEu9ChdXhDcPnrFha25Vb9a7SMa+sQN/OwfHEIvq04=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id S7VkfJwVythd for <31386 <at> debbugs.gnu.org>;
 Tue,  8 May 2018 16:59:50 +0200 (CEST)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:50 +0200 (CEST)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.389.1; Tue, 8 May 2018 16:59:43 +0200
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.389.1; Tue, 8 May 2018
 16:59:42 +0200
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <31386 <at> debbugs.gnu.org>
Subject: [PATCH 3/3] gnu: Add tensorflow-core.
Date: Tue, 8 May 2018 16:59:09 +0200
Message-ID: <20180508145909.25354-3-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.15.1
In-Reply-To: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
References: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-12.5.0.1300-8.2.1013-23830.007
X-TM-AS-Result: No-7.370300-8.000000-10
X-TMASE-MatchedRID: 7Pf7V6wkGECSkBDp1A0HiriMC5wdwKqdTJDl9FKHbrn4JyR+b5tvoDfO
 2NmojJWJjpSt74lKuxPs/AoQQPS5EoPhXvvZBernnprizKKMwmausS9CiBzL8SgVbxW7FDOVaYK
 2L4nNkHWGOqy96TSKyHPo5czLMANvLSlk9/1DdL1xfk94zHLa/hNtTUpgahCnXCmcAC8DBrPQjc
 tQJI1P42dVfQoAAZHlcnzlXgcs2Wz9kbyhKg6JlGQNT9IU7RXuSiV8TkZKsPk/dS8ROsItevM+9
 Fw01I7G/PQsPwZF9JCZplG8XJtO6FlP3wf1xZicr51gSC67hpX4uJ1REX4MHTUsHjosUACS9Tva
 dhXG9g2kP/ncvQmH7BRAoy63JAD43Sl8nV8IzQ8wo+sXt0rns1ObpRiWjuVrY8r/ndGdDsV2net
 tBoMDd+qBCyoe19uFWBWV0v8HvoIfE8yM4pjsD8C4UUZr4lSFSnQ4MjwaO9cqtq5d3cxkNZd/mw
 Lf2BVUdlZpHRdckQmT2qYKS81N0OtXvx3BqLlU29id5URXd95Lhb8xGEnVfg==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--7.370300-8.000000
X-TMASE-Version: SMEX-12.5.0.1300-8.2.1013-23830.007
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31386
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/machine-learning.scm (tensorflow-core): New variable.
---
 gnu/packages/machine-learning.scm | 113 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 113 insertions(+)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 87fbec6b6..e02e89ef4 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -36,6 +36,7 @@
   #:use-module (guix build-system r)
   #:use-module (guix git-download)
   #:use-module (gnu packages)
+  #:use-module (gnu packages algebra)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
@@ -48,6 +49,7 @@
   #:use-module (gnu packages ocaml)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
   #:use-module (gnu packages statistics)
   #:use-module (gnu packages swig)
@@ -609,6 +611,117 @@ at most 8 bits.  To avoid overflow, results are internally accumulated on more
 than 8 bits, and at the end only some significant 8 bits are kept.")
       (license license:asl2.0))))
 
+(define-public tensorflow-core
+  (package
+    (name "tensorflow-core")
+    (version "1.7.0")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/tensorflow/tensorflow.git")
+             (commit (string-append "v" version))))
+       (file-name (string-append "tensorflow-" version "-checkout"))
+       (sha256
+        (base32
+         "0jljzbwhmxi8crbivwachcmlfrrv279qrsvwc62cnnbyw0n1g0kp"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; no "check" target
+       #:make-flags
+       (list "-f" "tensorflow/contrib/makefile/Makefile"
+             "CC=gcc")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-after 'unpack 'fix-version
+           (lambda _
+             (substitute* "tensorflow/tools/git/gen_git_source.sh"
+               (("^GIT_VERSION=.*")
+                (string-append "GIT_VERSION=" ,version "\n")))
+             #t))
+         (add-after 'unpack 'unpack-third-party
+           (lambda* (#:key inputs #:allow-other-keys)
+             (with-directory-excursion "tensorflow/contrib/makefile/"
+               (let ((fft2d "downloads/fft2d")
+                     (nsync "downloads/nsync"))
+                 (mkdir-p fft2d)
+                 (invoke "tar" "xf" (assoc-ref inputs "fft2d")
+                         "-C" fft2d "--strip-components=1")
+                 (mkdir-p nsync)
+                 (invoke "tar" "xf" (assoc-ref inputs "nsync")
+                         "-C" nsync "--strip-components=1")))))
+         ;; FIXME: it would be nice to build a separate package for nsync and
+         ;; use it here.  Unfortunately, I could not build Tensorflow with a
+         ;; separately built nsync.
+         (add-before 'build 'build-nsync
+           (lambda _
+             (with-directory-excursion "tensorflow/contrib/makefile/"
+               (invoke "bash" "compile_nsync.sh")
+               (setenv "TARGET_NSYNC_LIB"
+                       "tensorflow/contrib/makefile/downloads/nsync/builds/default.linux.c++11/nsync.a")
+               (setenv "HOST_NSYNC_LIB"
+                       "tensorflow/contrib/makefile/downloads/nsync/builds/default.linux.c++11/nsync.a")
+               #t)))
+         (add-after 'unpack 'find-eigen-headers
+           (lambda* (#:key inputs #:allow-other-keys)
+             ;; Ensure that Eigen headers can be found
+             (setenv "CPLUS_INCLUDE_PATH"
+                     (string-append (getenv "CPLUS_INCLUDE_PATH")
+                                    ":"
+                                    (assoc-ref inputs "eigen")
+                                    "/include/eigen3"))
+             #t))
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (lib (string-append out "/lib"))
+                    (inc (string-append out "/include")))
+               (install-file "tensorflow/contrib/makefile/gen/lib/libtensorflow-core.a" lib)
+               (for-each (lambda (file)
+                           (let ((target (string-append inc "/"
+                                                        (dirname file))))
+                             (mkdir-p target)
+                             (install-file file target)))
+                         (find-files "tensorflow/core" ".*\\.h$"))
+               #t))))))
+    (native-inputs
+     `(("protobuf" ,protobuf)           ; protoc
+       ;; "You may use, copy, modify this code for any purpose and without
+       ;; fee. You may distribute this ORIGINAL package."
+       ("fft2d"
+        ,(origin
+           (method url-fetch)
+           (uri "https://mirror.bazel.build/www.kurims.kyoto-u.ac.jp/~ooura/fft.tgz")
+           (sha256
+            (base32
+             "15jjkfvhqvl2c0753d2di8hz0pyzn598g74wqy79awdrf1y67fsj"))))
+       ("nsync"
+        ,(origin
+           (method url-fetch)
+           (uri (string-append "https://mirror.bazel.build/"
+                               "github.com/google/nsync/archive/"
+                               "0559ce013feac8db639ee1bf776aca0325d28777.tar.gz"))
+           (sha256
+            (base32
+             "0qdkyqym34x739mmzv97ah5r7ph462v5xkxqxvidmcfqbi64b132"))))
+       ("googletest" ,googletest)))
+    (inputs
+     `(("eigen" ,eigen-for-tensorflow)
+       ("gemmlowp" ,gemmlowp-for-tensorflow)
+       ("protobuf" ,protobuf)
+       ("zlib" ,zlib)))
+    (home-page "https://tensorflow.org")
+    (synopsis "Machine learning framework")
+    (description
+     "TensorFlow is a software library for high performance numerical
+computation.  Its flexible architecture allows easy deployment of computation
+across a variety of platforms, and from desktops to clusters of servers to
+mobile and edge devices.
+
+This package provides only the core library.")
+    (license license:asl2.0)))
+
 (define-public dlib
   (package
     (name "dlib")
-- 
2.15.1





Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 8 May 2018 14:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 10:59:54 2018
Received: from localhost ([127.0.0.1]:54400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG45o-0007Hb-OH
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:59:54 -0400
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:48370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG45n-0007HS-2a
 for 31386 <at> debbugs.gnu.org; Tue, 08 May 2018 10:59:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id 149351111ED0
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:50 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:x-mailer:message-id:date
 :date:subject:subject:from:from:received:received:received
 :received; s=mdc; t=1525791584; x=1527605985; bh=6DDV1JZpnWWCt9D
 dWMeghHFlvebwTMaufkM23i8O6eI=; b=nJ6bZjw4uj04kawpflMwa2T9CqHCQ1P
 ayPjUtZro6vV4LtxNcH+h3qnSUco2WfrRJUASoRItH0iOZrTLqMN1Fvmqr2BwBma
 sVpOR4Mnw+hXhrckFFnh6RxHt5e03rZ94X7mTwaox9TVDVENDSz5MbxltI+6l/1U
 uIYA0XfJL2jc=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id hbNo_aERux43 for <31386 <at> debbugs.gnu.org>;
 Tue,  8 May 2018 16:59:44 +0200 (CEST)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:44 +0200 (CEST)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.389.1; Tue, 8 May 2018 16:59:21 +0200
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.389.1; Tue, 8 May 2018
 16:59:20 +0200
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <31386 <at> debbugs.gnu.org>
Subject: [PATCH 1/3] gnu: eigen: Include unsupported features.
Date: Tue, 8 May 2018 16:59:07 +0200
Message-ID: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.15.1
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-12.5.0.1300-8.2.1013-23830.007
X-TM-AS-Result: No-6.599600-8.000000-10
X-TMASE-MatchedRID: NB29Ml8pA5+oEs+S31uoBEvrB8UvzFr49Q5EsG01W97dacCPv0XN4ksX
 lihhRYhTKNGOL5V2Wq2cgPUE6bcchiVVqpNDZY1cXP5rFAucBUFdymZBcuGGRCxfh0kL+Aj+Iww
 wqjj85d6O3k4Pbw70AYAy6p60ZV62v2ThXg3lx4DdB/CxWTRRu92KvEVWmYr1LAODXTHRkrlx4c
 rJnwFNeBOTuUrAWSa1UTaipOcZo+UxIYmHq0nq/A==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--6.599600-8.000000
X-TMASE-Version: SMEX-12.5.0.1300-8.2.1013-23830.007
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31386
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/algebra.scm (eigen)[source]: Do not build the tests for
unsupported features, but include the files.
---
 gnu/packages/algebra.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/algebra.scm b/gnu/packages/algebra.scm
index 03a61be47..6daf588cd 100644
--- a/gnu/packages/algebra.scm
+++ b/gnu/packages/algebra.scm
@@ -732,9 +732,10 @@ Sine Transform} (DST) and @dfn{Discrete Hartley Transform} (DHT).")
                ;; but maintainers say it's a known issue and it's unsupported
                ;; anyway, so just skip them.
                '(begin
+                  (substitute* "unsupported/CMakeLists.txt"
+                    (("add_subdirectory\\(test.*")
+                     "# Do not build the tests for unsupported features.\n"))
 		  (substitute* "CMakeLists.txt"
-                    (("add_subdirectory\\(unsupported\\)")
-                     "# Do not build the tests for unsupported features.\n")
                     ;; Work around
                     ;; <http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1114>.
                     (("\"include/eigen3\"")
-- 
2.15.1





Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at 31386 <at> debbugs.gnu.org:


Received: (at 31386) by debbugs.gnu.org; 8 May 2018 14:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 10:59:49 2018
Received: from localhost ([127.0.0.1]:54397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG45d-0007HC-97
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:59:49 -0400
Received: from pegasus.bbbm.mdc-berlin.de ([141.80.25.20]:41422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG45b-0007H4-Cz
 for 31386 <at> debbugs.gnu.org; Tue, 08 May 2018 10:59:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP id 38A5089BB34
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received:received:received:received; s=mdc;
 t=1525791572; x=1527605973; bh=vYGA/zWJVGnvjLJigCoADfWfW0625tXw
 /z7ZIaX1JME=; b=YCgREHt9IOxloXX9o4Wk2XCjTXbGqV8PjE/AfnxOwukSI3+z
 dA4MyGnVJ30bBxEh7vGUdt3ZvKyXjwBpNALD+psUJNSV6G/i9wD5eGuXTKbEzI8g
 u3U6hHsMOFatnIM1fnzVPFZYMiicxgZeHeZIhMDyGCcDTGWfD1cNm6+iqu0=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from pegasus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (pegasus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id IPYl__wAFoHQ for <31386 <at> debbugs.gnu.org>;
 Tue,  8 May 2018 16:59:32 +0200 (CEST)
Received: from HTCAONE.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <31386 <at> debbugs.gnu.org>; Tue,  8 May 2018 16:59:32 +0200 (CEST)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCAONE.mdc-berlin.net (141.80.180.120) with Microsoft SMTP Server (TLS) id
 14.3.389.1; Tue, 8 May 2018 16:59:32 +0200
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.389.1; Tue, 8 May 2018
 16:59:31 +0200
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <31386 <at> debbugs.gnu.org>
Subject: [PATCH 2/3] gnu: Add gemmlowp-for-tensorflow.
Date: Tue, 8 May 2018 16:59:08 +0200
Message-ID: <20180508145909.25354-2-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.15.1
In-Reply-To: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
References: <20180508145909.25354-1-ricardo.wurmus@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-12.5.0.1300-8.2.1013-23830.007
X-TM-AS-Result: No-3.356000-8.000000-10
X-TMASE-MatchedRID: WO6FSsaLhY2SkBDp1A0HiriMC5wdwKqdQl/FdRYkUZLfUZT83lbkEP1X
 z8EmWbIIui9vYKrqWOKO9NvhBeIuxJe6LuuffiCPQpxiLlDD9FWBs03RHrzjM50j8OKRnVQ8dQt
 lRnQl99zQR0nWnwZjYOxlfcz2Z1ZKj56IjTnLR+l27Syv4zS8CwXLIdcukLJWycmFNidOeD3coi
 ReGPAOW4Oqmm8t7v72Ed5FOBej7IH9kbyhKg6JlB+WEMjoO9WWJpcBMilCCGjIXpx0LHuyyRXIP
 2JmqI1yw9uQT9lfsUvs/AoQQPS5EoPhXvvZBernnprizKKMwmZ9LQinZ4QefNZE3xJMmmXc+gtH
 j7OwNO22utO5qEfOUZ+O5+rlsJGTOTxpltkAkgu4gQlsyWNMMoDjNogch1veVfLI8kzaL1yzvU2
 vqHuY1fD0wvPZNt1g2ZF67axy+U4St0801614dof4l3W0tVe7u49q1sWEC7dHBp5ZT1n34TddPu
 Hwt7TAxYVzI3UCCaY=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--3.356000-8.000000
X-TMASE-Version: SMEX-12.5.0.1300-8.2.1013-23830.007
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31386
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/machine-learning.scm (gemmlowp-for-tensorflow): New variable.
---
 gnu/packages/machine-learning.scm | 54 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 53 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index f0d35484e..87fbec6b6 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -1,5 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
-;;; Copyright © 2015, 2016, 2017 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2015, 2016, 2017, 2018 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2016 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2016, 2017 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright © 2016 Hartmut Goebel <h.goebel@HIDDEN>
@@ -557,6 +557,58 @@ Support Vector Machines, Spectral Clustering, Kernel PCA, Gaussian Processes
 and a QP solver.")
     (license license:gpl2)))
 
+;; TODO: We may need to pass "-msse4.1" as an additional optimization flag
+;; when building for x86_64.  This is strongly recommended by the authors in
+;; the README.md.
+(define-public gemmlowp-for-tensorflow
+  (let ((commit "7c7c744640ddc3d0af18fb245b4d23228813a71b"))
+    (package
+      (name "gemmlowp")
+      (version (string-append "0-1." (string-take commit 7)))
+      (source (origin
+                (method url-fetch)
+                (uri (string-append "https://mirror.bazel.build/"
+                                    "github.com/google/gemmlowp/archive/"
+                                    commit ".zip"))
+                (sha256
+                 (base32
+                  "1kxj8h017q4r1dcva61vziwmks66rvr0iw93lg45fwws4n8cqlmq"))))
+      (build-system cmake-build-system)
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           ;; This directory contains the CMakeLists.txt.
+           (add-after 'unpack 'chdir
+             (lambda _ (chdir "contrib") #t))
+           ;; There is no install target
+           (replace 'install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let* ((out (assoc-ref outputs "out"))
+                      (lib (string-append out "/lib/"))
+                      (inc (string-append out "/include/")))
+                 (install-file "../build/libeight_bit_int_gemm.so" lib)
+                 (for-each (lambda (dir)
+                             (let ((target (string-append inc "/" dir)))
+                               (mkdir-p target)
+                               (for-each (lambda (h)
+                                           (install-file h target))
+                                         (find-files (string-append "../" dir)
+                                                     "\\.h$"))))
+                           '("meta" "profiling" "public" "fixedpoint"
+                             "eight_bit_int_gemm" "internal"))
+                 #t))))))
+      (native-inputs
+       `(("unzip" ,unzip)))
+      (home-page "https://github.com/google/gemmlowp")
+      (synopsis "Small self-contained low-precision GEMM library")
+      (description
+       "This is a small self-contained low-precision @dfn{general matrix
+multiplication} (GEMM) library.  It is not a full linear algebra library.
+Low-precision means that the input and output matrix entries are integers on
+at most 8 bits.  To avoid overflow, results are internally accumulated on more
+than 8 bits, and at the end only some significant 8 bits are kept.")
+      (license license:asl2.0))))
+
 (define-public dlib
   (package
     (name "dlib")
-- 
2.15.1





Information forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 May 2018 14:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 10:54:58 2018
Received: from localhost ([127.0.0.1]:54391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fG414-00079s-M2
	for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:54:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG412-00079f-CZ
 for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:54:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG40w-0006qn-9E
 for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:54:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42264)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1fG40w-0006qc-6r
 for submit <at> debbugs.gnu.org; Tue, 08 May 2018 10:54:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46771)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG40u-0007ii-W6
 for guix-patches@HIDDEN; Tue, 08 May 2018 10:54:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fG40p-0006nJ-Tv
 for guix-patches@HIDDEN; Tue, 08 May 2018 10:54:49 -0400
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:47116)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1fG40p-0006mL-IO
 for guix-patches@HIDDEN; Tue, 08 May 2018 10:54:43 -0400
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id 2C6111111BCD
 for <guix-patches@HIDDEN>; Tue,  8 May 2018 16:54:41 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:user-agent
 :received:received:received:received; s=mdc; t=1525791276; x=
 1527605677; bh=egHBhdEW5AEQ4Izo7XaAWFohc21u7iSjecS/5PXKngY=; b=C
 nbIslqUc2R+tnllJQtoBpD9elCqmmZXMInVyV8DJ8/L22hRK6L22274WETbBu/LW
 yVR7YJYfKz/Hh7gw7WU5qn3hkUuJ/0erzU/FU8AVKDoOQeknlP2PPQQTYjKI3dsK
 SD/wkGDJCZ92I6bQUa7pHB4IVPDxO8dx7wv1br1jYw=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id 0mmnDehtQX4d for <guix-patches@HIDDEN>;
 Tue,  8 May 2018 16:54:36 +0200 (CEST)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <guix-patches@HIDDEN>; Tue,  8 May 2018 16:54:35 +0200 (CEST)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.389.1; Tue, 8 May 2018 16:54:12 +0200
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.389.1; Tue, 8 May 2018
 16:54:12 +0200
User-agent: mu4e 0.9.18; emacs 25.3.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <guix-patches@HIDDEN>
Subject: TensorFlow
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 8 May 2018 16:54:02 +0200
Message-ID: <idj603y42r9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-12.5.0.1300-8.2.1013-23830.007
X-TM-AS-Result: No-5.938800-8.000000-10
X-TMASE-MatchedRID: msJaThnkmNaTtXl7LLeVnB+WEMjoO9WW4b+uxQ/rA9ZXPwnnY5XL5HbJ
 bAIPBA/LlqBS5XvvuWZGkifMZDnf6wzyMxeMEX6wgxsfzkNRlfJjFT88f69nG/oLR4+zsDTt9xS
 3mVzWUuCgZHIBpyeFpsA8Qjg3an+lb1RWRSphh/8eSa3lORUwm/IAfSoBWqI0ftwZ3X11IV0=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--5.938800-8.000000
X-TMASE-Version: SMEX-12.5.0.1300-8.2.1013-23830.007
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

This patch series adds a package for TensorFlow (without GPU support).
I don=E2=80=99t know how useful this is because it just provides a single=
 180+MB
statically linked archive (and header files).  It is only the =E2=80=9Cco=
re=E2=80=9D
part of TensorFlow.

The problem here is that the build system is Bazel, which cannot easily
be built from source.  Bazel bundles 60+ third-party Java packages, some
of which are very complex and are very difficult to package.  TensorFlow
comes with an unsupported Makefile that builds a single statically
linked library of only the core parts.  That=E2=80=99s what this package
provides.

Note that TensorFlow 1.8 has been released a few days ago.  This package
only adds version 1.7.

--
Ricardo




Acknowledgement sent to Ricardo Wurmus <ricardo.wurmus@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#31386; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 May 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.